apiVersion: v1
items:
- apiVersion: operator.tekton.dev/v1alpha1
  kind: TektonConfig
  metadata:
    creationTimestamp: "2025-12-22T06:39:32Z"
    finalizers:
    - tektonconfigs.operator.tekton.dev
    generation: 19
    labels:
      openshift-pipelines.tekton.dev/sa-created: "true"
      operator.tekton.dev/release-version: 1.21.0
    name: config
    resourceVersion: "2895973"
    uid: e2c23ff7-97a9-4229-82ce-0189e13cc394
  spec:
    addon:
      params:
      - name: pipelineTemplates
        value: "true"
      - name: resolverTasks
        value: "true"
      - name: resolverStepActions
        value: "true"
      - name: communityResolverTasks
        value: "true"
    chain:
      artifacts.oci.format: simplesigning
      artifacts.oci.storage: oci
      artifacts.pipelinerun.format: in-toto
      artifacts.pipelinerun.storage: oci
      artifacts.taskrun.format: in-toto
      artifacts.taskrun.storage: oci
      disabled: false
      generateSigningSecret: true
      options: {}
      performance:
        buckets: 2
        disable-ha: false
        replicas: 2
        statefulset-ordinals: true
    config: {}
    dashboard:
      options: {}
      readonly: false
    hub:
      options: {}
    pipeline:
      await-sidecar-readiness: true
      bundles-resolver-config:
        default-kind: task
        defaut-service-account: pipelines
      coschedule: workspaces
      default-service-account: pipeline
      disable-affinity-assistant: true
      disable-creds-init: false
      enable-api-fields: beta
      enable-bundles-resolver: true
      enable-cel-in-whenexpression: false
      enable-cluster-resolver: true
      enable-custom-tasks: true
      enable-git-resolver: true
      enable-hub-resolver: true
      enable-param-enum: false
      enable-provenance-in-status: true
      enable-step-actions: true
      enforce-nonfalsifiability: none
      hub-resolver-config:
        tekton-hub-api: https://api.hub.tekton.dev/
      keep-pod-on-cancel: false
      max-result-size: 4096
      metrics.count.enable-reason: false
      metrics.pipelinerun.duration-type: histogram
      metrics.pipelinerun.level: pipeline
      metrics.taskrun.duration-type: histogram
      metrics.taskrun.level: task
      options: {}
      params:
      - name: enableMetrics
        value: "true"
      performance:
        buckets: 2
        disable-ha: false
        replicas: 2
        statefulset-ordinals: true
      require-git-ssh-secret-known-hosts: false
      results-from: termination-message
      running-in-environment-with-injected-sidecars: true
      send-cloudevents-for-runs: false
      set-security-context: false
      trusted-resources-verification-no-match-policy: ignore
    platforms:
      openshift:
        pipelinesAsCode:
          enable: true
          options: {}
          settings:
            application-name: Pipelines as Code CI
            auto-configure-new-github-repo: "false"
            auto-configure-repo-namespace-template: ""
            auto-configure-repo-repository-template: ""
            bitbucket-cloud-additional-source-ip: ""
            bitbucket-cloud-check-source-ip: "true"
            custom-console-name: ""
            custom-console-url: ""
            custom-console-url-namespace: ""
            custom-console-url-pr-details: ""
            custom-console-url-pr-tasklog: ""
            default-max-keep-runs: "0"
            enable-cancel-in-progress-on-pull-requests: "false"
            enable-cancel-in-progress-on-push: "false"
            error-detection-from-container-logs: "true"
            error-detection-max-number-of-lines: "50"
            error-detection-simple-regexp: ^(?P<filename>[^:]*):(?P<line>[0-9]+):(?P<column>[0-9]+)?([
              ]*)?(?P<error>.*)
            error-log-snippet: "true"
            error-log-snippet-number-of-lines: "3"
            hub-catalog-type: artifacthub
            hub-url: https://artifacthub.io
            max-keep-run-upper-limit: "0"
            remember-ok-to-test: "false"
            remote-tasks: "true"
            require-ok-to-test-sha: "false"
            secret-auto-create: "true"
            secret-github-app-scope-extra-repos: ""
            secret-github-app-token-scoped: "true"
            skip-push-event-for-pr-commits: "true"
            tekton-dashboard-url: ""
        scc:
          default: pipelines-scc
    profile: all
    pruner:
      disabled: true
      keep: 100
      resources:
      - pipelinerun
      schedule: 0 8 * * *
    result:
      auth_disable: true
      disabled: false
      is_external_db: false
      log_level: debug
      loki_stack_name: logging-loki
      loki_stack_namespace: openshift-logging
      options: {}
      performance:
        buckets: 2
        disable-ha: false
        replicas: 2
        statefulset-ordinals: true
      route_enabled: true
      route_tls_termination: edge
    targetNamespace: openshift-pipelines
    tektonpruner:
      disabled: false
      global-config:
        enforcedConfigLevel: namespace
        failedHistoryLimit: 7
        historyLimit: 10
        namespaces:
          dev:
            PipelineRuns: null
            TaskRuns: null
            enforcedConfigLevel: null
            failedHistoryLimit: 7
            historyLimit: null
            successfulHistoryLimit: 3
            ttlSecondsAfterFinished: 300
          prod:
            PipelineRuns: null
            TaskRuns: null
            enforcedConfigLevel: null
            failedHistoryLimit: 7
            historyLimit: null
            successfulHistoryLimit: 10
            ttlSecondsAfterFinished: 604
          staging:
            PipelineRuns: null
            TaskRuns: null
            enforcedConfigLevel: null
            failedHistoryLimit: 7
            historyLimit: null
            successfulHistoryLimit: 5
            ttlSecondsAfterFinished: 864
        successfulHistoryLimit: null
        ttlSecondsAfterFinished: null
      options: {}
    trigger:
      default-service-account: pipeline
      disabled: false
      enable-api-fields: stable
      options: {}
  status:
    annotations:
      operator.tekton.dev/post-upgrade-version: 1.21.0
      operator.tekton.dev/pre-upgrade-version: 1.21.0
    conditions:
    - lastTransitionTime: "2025-12-24T02:41:33Z"
      status: "True"
      type: ComponentsReady
    - lastTransitionTime: "2025-12-22T06:41:52Z"
      status: "True"
      type: PostInstall
    - lastTransitionTime: "2025-12-22T06:41:56Z"
      status: "True"
      type: PostUpgrade
    - lastTransitionTime: "2025-12-22T06:39:45Z"
      status: "True"
      type: PreInstall
    - lastTransitionTime: "2025-12-22T06:39:43Z"
      status: "True"
      type: PreUpgrade
    - lastTransitionTime: "2025-12-24T02:41:33Z"
      status: "True"
      type: Ready
    version: 1.21.0
kind: List
metadata:
  resourceVersion: ""
